LATEST VERSION: 8.2.5 - CHANGELOG
Pivotal GemFire® v8.2

Before You Upgrade

Before You Upgrade

This section provides information you need to know before you begin to upgrade Pivotal GemFire.

  • During an upgrade from one major GemFire version to another, you cannot connect members in the same distributed system to other members running a different major version. Therefore, you cannot perform a rolling upgrade between major versions of Pivotal GemFire and will need to plan your system downtime accordingly. See Pivotal GemFire Version Compatibility Rules for more information on GemFire version interoperability.
  • Read the Pivotal GemFire 8.2.x Release Notes to familiarize yourself with all feature changes.
  • Know how to configure environment variables for your system.
  • Confirm that your system meets the requirements to run GemFire. See Supported Configurations and System Requirements.
    Note: To check your current Java version, type java -version at a command-line prompt. You can download Sun/Oracle Java SE from the following location: http://www.oracle.com/technetwork/java/javase/downloads/index.html.
  • If you are upgrading from GemFire version 6.5.x or earlier, you will need first to upgrade your disk store files by using the DiskConverter tool. See DiskConverterPre65to65 for instructions on running the tool.
  • If you are upgrading from GemFire 6.6 (or have just upgraded your disks to 6.6.x compatibility with the DiskConverter tool), you must run the gfsh command upgrade offline-disk-store tool to upgrade the disk stores.